Page MenuHomePhabricator

'' converted to ''<nowiki/>''
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/w/index.php?diff=662009797 , a lost set of single quotes '' (inserted by a wikitext edit in November 2013) was converted to ''<nowiki/>''.

I'm not sure it's a bug, but I'm opening this to get a determination either way. Those quotes have existed for years in the article and they didn't cause any issues, so my feeling is that VE probably shouldn't change that status quo and should leave them alone, if that's possible.

Also, is there ever a good reason to keep empty styled nowikis?

Event Timeline

gpaumier created this task.May 12 2015, 4:04 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 4:04 PM
gpaumier updated the task description. (Show Details)May 12 2015, 4:27 PM
gpaumier set Security to None.
Elitre added a subscriber: Elitre.May 12 2015, 7:33 PM
Neil_P._Quinn_WMF triaged this task as Normal priority.May 18 2015, 8:56 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Possibly a Parsoid issue?

ssastry added a subscriber: ssastry.EditedMay 21 2015, 2:48 PM

Looking at that diff, it looks like there were a number of other cases of dirtying there .. <ref> quotes were normalized, etc. This quote issue is also the same -- an empty auto-inserted quote got normalized.

The real question here is what caused Parsoid to dirty the page at several places ... could be a transient RB issue. Before RB, it used to be the case that Varnish cache misses might have caused this. Or, it could be that DOMDiff was inaccurate in its diffing in the face of that many edits to top-level elements. But, at this time, I am speculating.

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 6:42 PM
Jdforrester-WMF claimed this task.

Provisionally closing, because the RB issue hasn't recurred.

Also, is there ever a good reason to keep empty styled nowikis?

That should probably go behind the scrubWikitext flag.
Discussion here: https://www.mediawiki.org/wiki/Talk:Parsoid/Normalizations